import request from '@/utils/request'

// 查询工艺线体关联列表
export function listLine(query) {
	return request({
		url: '/mes/pro/routeprodline/list',
		method: 'get',
		params: query
	});
}

// 查询工艺线体关联详细
export function getLine(recordId) {
	return request({
		url: '/mes/pro/routeprodline/' + recordId,
		method: 'get'
		});
}

// 新增工艺线体关联
export function addLine(data) {
	return request({
		url: '/mes/pro/routeprodline',
		method: 'post',
		data: data
	});
}

// 修改工艺线体关联
export function updateLine(data) {
	return request({
		url: '/mes/pro/routeprodline',
		method: 'put',
		data: data
	});
}

// 删除工艺线体关联
export function delLine(recordId) {
	return request({
		url: '/mes/pro/routeprodline/' + recordId,
		method: 'delete'
	});
}

// 查询工艺线体关联列表
export function getListLine(query) {
	return request({
		url: '/mes/pro/routeprodline/getList',
		method: 'get',
		params: query
	});
}